datablock ItemData(singleCandyCornItem)
{
	category = "Weapon";
	className = "Weapon";

	shapeFile = "./candycorn.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	uiName = "Single Candy Corn";
	iconName = "./icon_candycorn";
	doColorShift = true;
	colorShiftColor = "1 0.5 0 1";

	image = singleCandyCornImage;
	canDrop = true;
};
datablock ShapeBaseImageData(singleCandyCornImage)
{
	className = "WeaponImage";
	shapeFile = "./candycorn.dts";
	emap = true;
	mountPoint = 0;
	offset = "0.01 -0 0.1";
	item = singleCandyCornItem;
	armReady = true;
	
	eyeOffset = 0;
	
	doColorShift = true;
	colorShiftColor = singleCandyCornItem.colorShiftColor;
	
	stateName[0]					= "Ready";
	stateTimeoutValue[0]			= 0.1;
	stateTransitionOnTimeout[0] 	= "Idle";
	
	stateName[1]					= "Idle";
	stateTransitionOnTriggerDown[1]	= "Eat";
	
	stateName[2]					= "Eat";
	stateScript[2]					= "onEat";
	stateTimeoutValue[2]			= 0.1;
	stateTransitionOnTimeout[2] 	= "Wait";
	
	stateName[3]					= "Wait";
};
function singleCandyCornImage::onEat(%db,%pl,%slot)
{
	%pl.tool[%pl.currTool] = 0;
	%pl.weaponCount--;
	messageClient(%pl.client,'MsgItemPickup','',%pl.currTool,"",1);
	%pl.unMountImage(0);
	if(%leftimage = %pl.getMountedImage(1))
	{
		if(!%leftimage.isLeftHandLight && !%leftimage.leftHandKeepUp)
			%pl.playThread(1,shiftAway);
		else
		{
			%pl.playThread(1,armReadyLeft);
			%pl.playThread(2,shiftAway);
		}
	}
	else
		%pl.playThread(1,shiftAway);
	
	%pl.addHealth(1);
}